<?php defined('SYSPATH') or die('No direct access allowed.');

/**
 *
 * @package    PTA
 * @subpackage Client Schedule Associations
 * @category   Models
 * @author     Deon George
 * @copyright  (c) 2010 phpTSMadmin Development Team
 * @license    http://phptsmadmin.sf.net/license.html
 */
class Model_SCHEDULE_CLIENT extends ORM_TSM {
	protected $_table_name = 'CLIENT_SCHEDULES';
	protected $_primary_key = 'SCHEDULE_NAME'; // We need a primary key to detect that the object is loaded.
	protected $_sorting = array(
		'SCHEDULE_NAME'=>'ASC',
	);

	protected $_has_many = array(
		'ASSOCIATION'=>array('foreign_key'=>'SCHEDULE_NAME','far_key'=>'SCHEDULE_NAME'),
	);

	protected $_display_filters = array(
		'STARTTIME'=>array(
			array('ORM_TSM::date',array(':value','h:m')),
		),
	);

	public function getNodes() {
		return $this->ASSOCIATION->find_all();
	}
}
?>
